Draft BSpline

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft BSpline and the translation is 10% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Dimension.svg Dimension
Next: Point Draft Point.svg Arrow-right.svg

Draft BSpline.svg Draft BSpline

Ubicación en el Menú
Croquis → BSpline
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
B S
Introducido en versión
-
Ver también
Contorno


Descripción

La herramienta BSpline crea una curva B-Spline a partir de varios puntos en el plano de trabajo actual. Toma el espesor de línea y color previamente establecidos en la pestaña de tareas. La herramienta BSpline se comporta exactamente como la herramienta Contorno.

The BSpline tool behaves like the Draft Wire tool, except that each of its segments is curved instead of being a straight line. Use Draft WireToBSpline to convert one to the other.

The BSpline tool specifies the exact points through which the curve will go; on the other hand the Draft BezCurve tool uses control points to define the direction of the curve. To create exact circular or elliptical curves, use Draft Arc and Draft Ellipse.

Draft bspline example.jpg

Draft bspline example.jpg

Utilización

  1. Presiona el botón Draft BSpline.png BSpline, o presiona las teclas B y S
  2. Designa un primer punto en la vista 3D, o escribe unas coordenadas
  3. Designa un punto adicional en la vista 3D, o escribe unas coordenadas
  4. Presiona F o C, o haz doble clic en el último punto, o clic en el primer punto para terminar o cerrar la BSpline. Si la spline está cerrada, será también una cara, incluso aunque se muestre en estructura alámbrica.

The spline can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.png Draft Edit button. Then you can move the points to a new position, or click Draft AddPoint.svg add point or Draft DelPoint.svg remove point and then click on the wire to add or remove points.

Opciones

  • Presiona F o el botón Draft FinishLine.png Terminar para terminar la spline, dejándola abierta
  • Presiona C o el botón Draft CloseLine.png Cerrar o designa el primer punto para finalizar la spline, pero haciendo que se cierre añadiendo un último segmento entre el último punto y el primero.
  • Presiona X, Y o Z después de un punto para restringir el punto siguiente sobre el eje dado.
  • Para introducir coordenadas manualmente, simplemente introduce los números y presiona ENTER entre cada componente X, Y y Z.
  • Presiona R o selecciona la casilla para activar/desactivar el botón Relativas. Si el modo relativas está activado, las coordenadas del siguiente punto son relativas al anterior. Si no, son absolutas, desde el origen de coordenadas (0,0,0).
  • Presiona T o selecciona la casilla para activar/desactivar el botón Continuar. Si el modo continuar está activado, la herramienta BSpline se reiniciará después de terminar, permitiendo que dibujes otra sin necesidad de volver a pulsar el botón de BSpline.
  • Presiona CTRL mientras dibujas para forzar el ajuste de tu punto a la ubicación de ajuste más cercana, independientemente de la distancia.
  • Presiona SHIFT mientras dibujas para restringir tu siguiente punto horizontal o verticalmente en relación al último.
  • Presiona W o el botón Draft Wipe.png Limpiar para eliminar segmentos existentes e iniciar la spline desde el último punto.
  • Presiona CTRL+Z o el botón Draft UndoLine.png Deshacer para deshacer el último punto.
  • Presiona I o el botón Rellenado para que la spline se muestre como una cara después de cerrarse. Esto simplemente establece las propiedades de visualización del contorno como "líneas planas" o "alámbrica", de modo que se puedan cambiar de forma sencilla después.
  • Presiona ESC o el botón Cancelar para abortar el comando BSpline actual.

Propiedades

  • DATAClosed: Especifica si la spline está cerrada o no
  • VIEWEnd Arrow: Muestra un símbolo de flecha en el último punto de la spline, de modo que se puede utilizar como una anotación con línea directriz

A BSpline object shares most properties from a Draft Wire, however, most properties only make sense for a Wire.

Data

  • DATAClosed: specifies if the spline is closed or not. If the spline is initially open, this value is False; setting it to True will draw a curve segment to close the spline. If the spline is initially closed, this value is True; setting it to False will remove the last curve segment, and make the spline open.
  • DATAMake Face: specifies if the spline makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object. This property only works if DATAClosed is True.
Note: do not set DATAMake Face to True if the spline intersects itself, as it won't create a proper face.
  • DATAParameterization: affects the shape of the BSpline.

View

  • VIEWArrow Size: specifies the size of the symbol displayed at the end of the spline.
  • VIEWArrow Type: specifies the type of symbol displayed at the end of the spline, which can be "Dot", "Circle", "Arrow", or "Tick".
  • VIEWEnd Arrow: specifies whether to show a symbol at the last point of the spline, so it can be used as an annotation line.
  • VIEWPattern: specifies a Draft Pattern with which to fill the face of a closed spline. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Archivos de guión

La herramienta BSpline puede utilizarse en macros y desde la consola de Python utilizando la siguiente función:

The BSpline tool can be used in macros and from the Python console by using the following function:

BSpline = makeBSpline(pointslist, closed=False, placement=None, face=None, support=None)
BSpline = makeBSpline(Part.Wire, closed=False, placement=None, face=None, support=None)
  • Crea un objeto B-Spline a partir de la lista de vectores dada.
  • Si closed es True o si el primer y último punto son idénticos, el contorno es cerrado.
  • Si face es true (y la BSpline está cerrada), la BSpline se mostrará rellena.
  • En lugar de una lista de puntos, también puedes pasar un contorno de pieza.
  • Devuelve el objeto recién creado.

Ejemplo:

import FreeCAD, Draft

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(1000, 1000, 0)
p3 = FreeCAD.Vector(2000, 0, 0)

BSpline1 = Draft.makeBSpline([p1, p2, p3], closed=True)
BSpline2 = Draft.makeBSpline([p1, 2*p3, 1.3*p2], closed=True)
BSpline3 = Draft.makeBSpline([1.3*p3, p1, -1.7*p2], closed=True)
Arrow-left.svg Previous: Draft Dimension.svg Dimension
Next: Point Draft Point.svg Arrow-right.svg